Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1314304 - go test golang.org/x/tools/go/importer fails on ppc64
Summary: go test golang.org/x/tools/go/importer fails on ppc64
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-googlecode-tools
Version: 25
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2016-03-03 11:30 UTC by Jan Chaloupka
Modified: 2017-01-21 13:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-21 13:47:41 UTC


Attachments (Terms of Use)

Description Jan Chaloupka 2016-03-03 11:30:55 UTC
go test golang.org/x/tools/go/importer
--- FAIL: TestImportStdLib (4.01s)
        import_test.go:187: package cgo: couldn't get export data: can't
find import: runtime/cgo
        import_test.go:194: package cgo: gcimport failed: import error
<filename for runtime/cgo>:1:1 (byte offset = 0): expected Ident, got EOF ()

Additional info:
rpm: golang-googlecode-tools-0-7.1.git997b354.fc24
arch: ppc64
build.log: http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/8102/3188102/build.log

There are more failing tests in the package, not just for ppc64.

At the moment, the test is disable on %{power64} archs.

Expected results:
The test pass on %{power64} archs.

Comment 1 Jan Kurik 2016-07-26 04:17:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Chaloupka 2017-01-21 13:47:41 UTC
The test is no longer available in the project


Note You need to log in before you can comment on or make changes to this bug.